import request from '@/utils/request'

// 查询工具下载统计列表
export function listCount(query) {
  return request({
    url: '/system/count/list',
    method: 'get',
    params: query
  })
}

// 查询工具下载统计列表
export function listDocCount(query) {
  return request({
    url: '/system/count/doc/list',
    method: 'get',
    params: query
  })
}


// 根据详情统计
export function userDownList(query) {
  return request({
    url: '/system/count/user/down/list',
    method: 'get',
    params: query
  })
}



// 查询工具下载统计详细
export function getCount(id) {
  return request({
    url: '/system/count/' + id,
    method: 'get'
  })
}

// 新增工具下载统计
export function addCount(data) {
  return request({
    url: '/system/count',
    method: 'post',
    data: data
  })
}

// 修改工具下载统计
export function updateCount(data) {
  return request({
    url: '/system/count',
    method: 'put',
    data: data
  })
}

// 删除工具下载统计
export function delCount(id) {
  return request({
    url: '/system/count/' + id,
    method: 'delete'
  })
}
